Scorers
Make a scorer version live
Make a scorer version live
curl --request POST \
--url https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_current_release_id": "<string>",
"version_label": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_current_release_id: '<string>', version_label: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish"
payload = {
"expected_current_release_id": "<string>",
"version_label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}{
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "release_blocked",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Path Parameters
Response
HTTP 200 response.
Available options:
pending, released, superseded, withdrawn Available options:
private, public ⌘I
Make a scorer version live
curl --request POST \
--url https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_current_release_id": "<string>",
"version_label": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expected_current_release_id: '<string>', version_label: '<string>'})
};
fetch('https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/eval/v1/scorers/{scorer_id}/publish"
payload = {
"expected_current_release_id": "<string>",
"version_label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}{
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "release_blocked",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}